hd_data_t::flag_struct Struct Reference
Public interface

Special flags. More...

`#include <hd.h>`

## Data Fields

unsigned | internal:1
| hd_scan() has been called internally.
unsigned | dformat:2
| Alternative output format.
unsigned | no_parport:1
| Don't do parport probing: parport modules (used to) crash pmacs.
unsigned | iseries:1
| Set if we are on an iSeries machine.
unsigned | list_all:1
| Return even devices with status 'not available'.
unsigned | fast:1
| Don't check tricky hardware.
unsigned | list_md:1
| Report md & lvm devices from /proc/partitions.
unsigned | nofork:1
| don't run potentially hanging code in a subprocess
unsigned | nosysfs:1
| don't ask sysfs
unsigned | forked:1
| we're running in a subprocess
unsigned | cpuemu:1
| use CPU emulation to run BIOS code (i386 only)
unsigned | udev:1
| return first udev symlink as device name
unsigned | edd_used:1
| internal: edd info has been used
unsigned | keep_kmods:2
| internal: don't reread kmods
unsigned | nobioscrc:1
| internal: don't check VBIOS crc
unsigned | biosvram:1
| internal: map Video BIOS RAM (128k at 0xa0000)
unsigned | nowpa:1
| no longer used
unsigned | pata:1
| use new libata modules instead of classical ide modules
unsigned | vbox:1
| running in virtual box
unsigned | vmware:1
| running in vmware
unsigned | vmware_mouse:1
| has vmware mouse

## Detailed Description

Special flags.

Influence hardware probing in some strange ways with these. You normally do not want to use them.

The documentation for this struct was generated from the following file:

- hd.h